# foxclient

Warning: Please add a custom 'X-FoxAPI-App=MyAppName' header to your requests.
This would help us fighting against DDoS attacks in future, while keeping your application's access to the API.
In future, this may be a mandatory requirement.

To reduce the system load, the API endpoints are rate limited.
The default limit is 20 requests per minute. Contact admin@orangefox.tech if you need a higher limit.

The requests may be logged for analytics and development purposes.


This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 5.1.1
- Package version: 1.0.0
- Generator version: 7.13.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.9+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import foxclient
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import foxclient
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import foxclient
from foxclient.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = foxclient.Configuration(
    host = "http://localhost"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

configuration.access_token = os.environ["ACCESS_TOKEN"]

# Configure Bearer authorization (JWT): bearer_auth
configuration = foxclient.Configuration(
    access_token = os.environ["BEARER_TOKEN"]
)


# Enter a context with an instance of the API client
with foxclient.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = foxclient.DeviceApi(api_client)
    device_id = 'device_id_example' # str | 

    try:
        # Get Device
        api_response = api_instance.get_device_devices_device_id_get(device_id)
        print("The response of DeviceApi->get_device_devices_device_id_get:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling DeviceApi->get_device_devices_device_id_get: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DeviceApi* | [**get_device_devices_device_id_get**](docs/DeviceApi.md#get_device_devices_device_id_get) | **GET** /devices/{device_id} | Get Device
*DeviceApi* | [**get_device_extended_devices_get_get**](docs/DeviceApi.md#get_device_extended_devices_get_get) | **GET** /devices/get | Get Device Extended
*DeviceApi* | [**get_devices_list_devices_get**](docs/DeviceApi.md#get_devices_list_devices_get) | **GET** /devices/ | Get Devices List
*DeviceApi* | [**get_oems_list_oems_get**](docs/DeviceApi.md#get_oems_list_oems_get) | **GET** /oems/ | Get Oems List
*ReleaseApi* | [**get_release_extended_releases_get_get**](docs/ReleaseApi.md#get_release_extended_releases_get_get) | **GET** /releases/get | Get Release Extended
*ReleaseApi* | [**get_release_releases_release_id_get**](docs/ReleaseApi.md#get_release_releases_release_id_get) | **GET** /releases/{release_id} | Get Release
*ReleaseApi* | [**get_releases_releases_get**](docs/ReleaseApi.md#get_releases_releases_get) | **GET** /releases/ | Get Releases
*ReleaseApi* | [**get_updates_updates_last_known_id_get**](docs/ReleaseApi.md#get_updates_updates_last_known_id_get) | **GET** /updates/{last_known_id} | Get Updates
*StatsApi* | [**public_stats_stats_get**](docs/StatsApi.md#public_stats_stats_get) | **GET** /stats/ | Public Stats


## Documentation For Models

 - [DeviceResponse](docs/DeviceResponse.md)
 - [GlobalStatsAggregationModel](docs/GlobalStatsAggregationModel.md)
 - [HTTPValidationError](docs/HTTPValidationError.md)
 - [ListResponseReleaseResponse](docs/ListResponseReleaseResponse.md)
 - [ListResponseShortDeviceResponse](docs/ListResponseShortDeviceResponse.md)
 - [ListResponseShortReleaseResponse](docs/ListResponseShortReleaseResponse.md)
 - [ListResponseStr](docs/ListResponseStr.md)
 - [MaintainerShortModel](docs/MaintainerShortModel.md)
 - [RecoveryImgResponse](docs/RecoveryImgResponse.md)
 - [ReleaseGroupsResponse](docs/ReleaseGroupsResponse.md)
 - [ReleaseResponse](docs/ReleaseResponse.md)
 - [ReleaseType](docs/ReleaseType.md)
 - [ReleasesSort](docs/ReleasesSort.md)
 - [ResponseGetReleasesReleasesGet](docs/ResponseGetReleasesReleasesGet.md)
 - [ShortDeviceResponse](docs/ShortDeviceResponse.md)
 - [ShortReleaseResponse](docs/ShortReleaseResponse.md)
 - [ValidationError](docs/ValidationError.md)
 - [ValidationErrorLocInner](docs/ValidationErrorLocInner.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="bearer_auth"></a>
### bearer_auth

- **Type**: Bearer authentication (JWT)

<a id="oauth2_password"></a>
### oauth2_password

- **Type**: OAuth
- **Flow**: password
- **Authorization URL**: 
- **Scopes**: N/A


## Author

admin@orangefox.tech


